package com.ruoyi.system.service;

import com.ruoyi.common.core.domain.entity.ShareInfo;

import java.util.List;

/**
 * 【请填写功能名称】Service接口
 * 
 * @author ruoyi
 * @date 2025-07-19
 */
public interface IShareInfoService 
{
    /**
     * 查询【请填写功能名称】
     * 
     * @param id 【请填写功能名称】主键
     * @return 【请填写功能名称】
     */
    public ShareInfo selectShareInfoById(String id);

    /**
     * 查询【请填写功能名称】列表
     * 
     * @param shareInfo 【请填写功能名称】
     * @return 【请填写功能名称】集合
     */
    public List<ShareInfo> selectShareInfoList(ShareInfo shareInfo);

    /**
     * 新增【请填写功能名称】
     * 
     * @param shareInfo 【请填写功能名称】
     * @return 结果
     */
    public int insertShareInfo(ShareInfo shareInfo);

    /**
     * 修改【请填写功能名称】
     * 
     * @param shareInfo 【请填写功能名称】
     * @return 结果
     */
    public int updateShareInfo(ShareInfo shareInfo);

    /**
     * 批量删除【请填写功能名称】
     * 
     * @param ids 需要删除的【请填写功能名称】主键集合
     * @return 结果
     */
    public int deleteShareInfoByIds(String[] ids);

    /**
     * 删除【请填写功能名称】信息
     * 
     * @param id 【请填写功能名称】主键
     * @return 结果
     */
    public int deleteShareInfoById(String id);

    List<ShareInfo> findShareInfoListPage(ShareInfo shareInfo);
}
